<html>

<head></head>
<script>

try{
	console.log("hi, this is regarding control statements");
	unicycle;

}
catch(err){
	console.log("error occured" +err);
}
finally{
	console.log("this always executes");
}
console.log("this is not in the control statements");


let cleanRoom = function() {
  return new Promise(function(resolve, reject) {
    resolve('Cleaned The Room');
  });
};

let removeGarbage = function(message) {
  return new Promise(function(resolve, reject) {
    resolve(message + ' remove Garbage');
  });
};

let winIcecream = function(message) {
  return new Promise(function(resolve, reject) {
    resolve( message + ' won Icecream');
  });
};

cleanRoom().then(function(result){
	return removeGarbage(result);
}).then(function(result){
	return winIcecream(result);
}).then(function(result){
	console.log('finished ' + result);
});


var abc = function (a) {
  for (var i = 0; i <= 10; i++) {
    document.write(a*i + '<br>');
  }; 
}
abc(3);
</script>


<body>

<div id="demo">
dsfhjgjdfhjdfgkdk
</div>

</body>
</html>